package com.futu.course.common.constant;

/**
 * @className: RedisKeyConst
 * @Description:
 * @author: zhangxiong
 * @date: 2022/4/25/0025 15:35
 */
public class RedisKeyConst {
    public static final int TEN_SECOND = 10;
    public static final int THIRTY_SECOND = TEN_SECOND*3;
    public static final int ONE_MINUTE = THIRTY_SECOND*2;
    public static final int FIVE_MINUTE = ONE_MINUTE*5;
    public static final int TEN_MINUTE = FIVE_MINUTE*2;
    public static final int THIRTY_MINUTE = FIVE_MINUTE*3;
    public static final int ONE_HOUR = THIRTY_MINUTE*2;
    public static final int TWENTY_NINE = 29;
    public static final String CACHE_HOME_BASE = "test:boss:api:cache:home:base";
    public static final String CACHE_TEAM_BUY_BASE = "test:boss:api:cache:teambuy:base";
    public static final String CACHE_TEAM_BUY_ITEM = "test:boss:api:cache:teambuy:%s";
    public static final String CACHE_SUPPLIER_BASE = "test:boss:api:cache:supplier:base";
    public static final String CACHE_CONFIG_BASE = "test:boss:api:cache:home:config";
    public static final String CACHE_CATE_BASE = "test:boss:api:cache:cate:base";
    public static final String CACHE_BASE_TYPE_PAGE = "test:boss:api:cache:%s:c%ss%st%s%s";
    public static final String CACHE_BASE_PAGE = "test:boss:api:cache:%s:c%ss%s";
    public static final String CACHE_BASE_DELETE = "test:boss:api:cache:%s%s:*";
    public static final String CACHE_LOTTERY_RESERVE = "test:boss:api:cache:lottery:reserve:";
    public static final String CACHE_LOTTERY_DETAIL = "test:boss:api:cache:lottery:detail:";
    public static final String CACHE_LOTTERY_RATE = "test:boss:api:cache:lottery:rate:";
    public static final String CACHE_LOTTERY_ITEM = "test:boss:api:cache:lottery:item:";
    public static final String CACHE_BASE_GOODS = "test:boss:api:cache:goods:";
    public static final String LOCK_PAY_COMMIT = "test:boss:api:lock:sku:";
    public static final String LOCK_COUNPON_RECEIVCE = "test:boss:api:lock:coupon:";
    public static final String LOCK_LOTTERY_ITEM = "test:boss:api:lock:lottery:item:";
    public static final String LOCK_FOX_RECEIVE_INIT ="test:boss:api:lock:fox:init:";
    public static final String LOCK_FOX_RECEIVE ="test:boss:api:lock:fox:receive:";
    //微信小程序商品/对应人的短链接
    public static final String CACHE_MINI_SHORT_LINK = "test:boss:api:wx:mini:shortlink:%s:%s";
    public static final String GOODS = "test:goods:";
    public static final String CART = "test:cart:";
    public static final String ORDER = "test:order:";

    public static String generatePageKey(String key, long current,long page,Integer type,Long supplierId) {
        return String.format(CACHE_BASE_TYPE_PAGE, key, current,page,type,supplierId);
    }
    public static String generatePageKey(String key, long current,long page) {
        return String.format(CACHE_BASE_PAGE, key, current,page);
    }
    public static String generateKey(String key, Object... params) {
        return String.format(key, params);
    }
}
